#
# spec file for package perl-ExtUtils-Config
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name ExtUtils-Config
Name:           perl-ExtUtils-Config
Version:        0.10.0
Release:        1.1
# 0.010 -> normalize -> 0.10.0
%define cpan_version 0.010
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Wrapper for perl's configuration
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
Provides:       perl(ExtUtils::Config) = %{version}
Provides:       perl(ExtUtils::Config::MakeMaker) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
ExtUtils::Config is an abstraction around the %Config hash. By itself it is
not a particularly interesting module by any measure, however it ties
together a family of modern toolchain modules.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sat Aug 17 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.10.0 (0.010)
  see /usr/share/doc/packages/perl-ExtUtils-Config/Changes
  0.010     2024-08-16 19:43:45+02:00 Europe/Brussels
    Fix regression in serialize method
* Fri Apr 26 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.009
  see /usr/share/doc/packages/perl-ExtUtils-Config/Changes
  0.009     2024-04-25 12:22:53+02:00 Europe/Brussels
  - Add a but method
  - Add ExtUtils::Config::MakeMaker
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.008
  see /usr/share/doc/packages/perl-ExtUtils-Config/Changes
  0.008     2014-06-25 11:37:13-04:00 America/Nassau
    Remove set, clear, clone methods
* Wed Jun  5 2013 coolo@suse.com
- initial package 0.007
  * created by cpanspec 1.78.06
